/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v7.0.29,
* Autoprefixer: v9.7.6
* Browsers: last 4 version
*/

:root {
	--SidebarBackground: #fff;
	--SidebarColor: #2F2F2F;
}

@media (prefers-color-scheme: dark) {
    :root {
    	--SidebarBackground: #011e37;
    	--SidebarColor: #e4e4e4;
    }
}

.kbd-a--a1 {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
        -ms-flex-direction: column;
            flex-direction: column;
}

.kbd-a--a2 {
    -ms-flex-preferred-size: 60px;
    flex-basis: 60px;
}

.kbd-a--a3 {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    position: fixed;
    top: 0;
    width: 100%;
    padding: 10px;
    -webkit-box-pack: justify;
        -ms-flex-pack: justify;
            justify-content: space-between;
    height: 60px;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
    z-index: 3;
    transition: 0.3s cubic-bezier(.68,-0.55,.27,1.55);
}

.kbd-a--a4 {
    background: transparent;
    border: none;
    font-size: 26px;
    cursor: pointer;
    margin-top: -4px;
    margin-left: 10px;
    padding: 0;
    outline: none;
    transition: cubic-bezier(0.165, 0.84, 0.44, 1);
    color: inherit;
}

.kbd-a--a5 {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: center;
        -ms-flex-pack: center;
            justify-content: center;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
}

.kbd-a--a5 span {
    margin-left: 5px;
    font-family: 'Vazir';
}

.kbd-a--a6 {
    font-size: 25px;
    margin-right: 10px;
}

.kbd-a--a7 {
    position: fixed;
    top: 0;
    right: 0; /* left */
    height: 100vh;
    -webkit-transform: translateX(100%);
        -ms-transform: translateX(100%);
            transform: translateX(100%); /* -100% */
    -webkit-transition: -webkit-transform 0.3s cubic-bezier(0, 0, 0.02, 0.98);
    transition: -webkit-transform  0.3s cubic-bezier(0, 0, 0.02, 0.98);
    -o-transition: transform  0.3s cubic-bezier(0, 0, 0.02, 0.98);
    transition: transform  0.3s cubic-bezier(0, 0, 0.02, 0.98);
    transition: transform  0.3s cubic-bezier(0, 0, 0.02, 0.98), -webkit-transform  0.3s cubic-bezier(0, 0, 0.02, 0.98);
    z-index: 4;	
}

.kbd-a--a7.visible {
    -webkit-transform: translateX(0);
        -ms-transform: translateX(0);
            transform: translateX(0);
}

.kbd-a--a8 {
    background-color: var(--SidebarBackground);
    width: 30%;
    max-width: 480px;
    min-width: 280px;
    -webkit-transition-delay: .2s;
         -o-transition-delay: .2s;
            transition-delay: .2s;
    padding: 20px 30px;
}

.kbd-a--a8.visible {
    -webkit-transition-delay: 0s;
         -o-transition-delay: 0s;
            transition-delay: 0s;
}

.kbd-a--a9 {
    background-color: #178cf6;
    -webkit-transition-delay: .2s;
         -o-transition-delay: .2s;
            transition-delay: .2s; 
    width: 95%;
}

.kbd-a--a9.visible {
    -webkit-transition-delay: .2s;
         -o-transition-delay: .2s;
            transition-delay: .2s;
}

.kbd-a--b1 {
    background-color: #fff;
    padding: 10px 40px 40px;
    position: relative;
    -webkit-transition-delay: 0s;
         -o-transition-delay: 0s;
            transition-delay: 0s; 
    width: 95%;
    height: 100%;
    overflow: auto;
}

.kbd-a--b1.visible {
    -webkit-transition-delay: .4s;
         -o-transition-delay: .4s;
            transition-delay: .4s;
}

.kbd-a--b2 {
    border: 0;
    background: transparent;
    cursor: pointer;
    font-size: 20px;
}

.kbd-a--b3 {
    opacity: 0.3;
    position: absolute;
    top: 10px;
    left: 5px; /* right */
    outline: none;
}

.kbd-a--b4 {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
}

.kbd-a--b5 {
    height: 80px;
    width: 80px;
    border-radius: 50%;
    background-size: cover;
    margin: 0;
    -ms-flex-negative: 0;
        flex-shrink: 0;
}

.kbd-a--b6 {
    margin-right: 10px;
}

.kbd-a--b6 h2 {
    font-size: 16px;
    margin: 0;
}

.kbd-a--b6 span {
    font-size: 12px;
}

.kbd-a--b7 {
    height: 2px;
    border: 0;
    background-color: var(--NavBorderColor);
    margin: 20px 0;
}

.kbd-a--b8, .kbd-b--i7 {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.kbd-a--b8 li, .kbd-b--i7 li {
    margin: 12px 0;
}

.kbd-a--b8 li a, .kbd-b--i7 li a {
    color: var(--SidebarColor);
    font-size: 14px;
    text-decoration: none;
    font-family: 'IRANYekanWeb';
    padding: 5px 0;
}

.kbd-a--b8 ul, .kbd-b--i7 ul {
    list-style-type: none;
    padding-right: 20px;
}

.kbd-a--b9, .kbd-b--i5 {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
        -ms-flex-align: center;
            align-items: center;
}

.kbd-a--c1, .kbd-b--i6 {
    color: #8c8c8c;
}

.kbd-a--c1:hover, .kbd-b--i6:hover {
    color: #0fabc6;
}

.kbd-a--c1::before, .kbd-b--i6::before {
    padding-left: 20px;
    font-size: 26px;
}


.kbd-a--c2 {
    position: fixed;
    top: 0;
    z-index: 3;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.65);
    cursor: pointer;
    transition: 0.4s;
    opacity: 0;
    visibility: hidden;
}
.active {
    opacity: 1;
    visibility: visible;
}
.kbd-b--l1 {
    font-family: 'IRANYekanWeb';
    color: inherit;
    font-size: 14px;
}
.kbd-b--l2 {
    display: inline-block;
    margin: 0 5px;
    font-size: 19px;
}
.kbd-b--l3 {
    font-family: 'IRANYekanWeb';
    color: inherit;
    font-size: 14px;
}

@media screen and (max-width: 480px) {
    .fkbd-a--d3 {
        left: 10px; /* left */
    }
}